> For the complete documentation index, see [llms.txt](https://docs.ergonode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ergonode.com/graphql/changelog/breaking-changes.md).

# Breaking changes

The list of recent and upcoming breaking changes

At Ergonode we strive to make your integration process as fluent as possible but from time to time we discover a flaw in the design of the schema or introduce a really cool new feature that is impossible to be provided in a fully-compatible non-breaking way.

In such a situation, we will always aim to not break your integration with the new release and provide you with a transition period of approximately 3-months to adjust your consumer. Every such change shall be communicated in the following list.

## 2023-08-23

Breaking change scheduled for 04-2024

* `MultiSelectAttribute.options` is going to be removed
* `SelectAttribute.options` is going to be removed

## 2023-05-08

Breaking change scheduled for 09-2023

* `MultimediaCreateInput.folderName` is going to be removed
* `Mutation.multimediaSetFolder` is going to be removed

## 2022-09-26

Breaking changes scheduled for 02-2023

* `AttributeValue.valueTranslations` is going to be removed

## 2022-08-09

Breaking changes scheduled for 12-2022

* `Attribute.label` is going to be removed
* `Option.label` is going to be removed
* `OptionInput.label` is going to be removed
* `Mutation.attributeSetLabel` is going to be removed
* `label` field is going to be removed from `Attribute` create mutation input objects
  * `AttributeCreateDateInput`
  * `AttributeCreateFileInput`
  * `AttributeCreateGalleryInput`
  * `AttributeCreateImageInput`
  * `AttributeCreateMultiSelectInput`
  * `AttributeCreateNumericInput`
  * `AttributeCreatePriceInput`
  * `AttributeCreateProductRelationInput`
  * `AttributeCreateSelectInput`
  * `AttributeCreateTextareaInput`
  * `AttributeCreateTextInput`
  * `AttributeCreateUnitInput`

## 2022-06-09

Breaking changes scheduled for 10-2022

* `GroupingProduct.childList` is going to be removed
* `Template.name` is going to be removed
* `Template.defaultLabel` is going to be removed

## 2022-05-04

Breaking changes scheduled for 08-2022

* `TranslatedAttributeValue.inherited` is going to be removed
* `Query.languageTreeLeafList` is going to be removed

## 2022-03-15

Breaking change scheduled for 07-2022

* `Attribute.hint` is going to be removed
* `Attribute.placeholder` is going to be removed
* `Mutation.attributeSetHint` is going to be removed
* `Mutation.attributeSetPlaceholder` is going to be removed
* `placeholder` and `hint` fields are going to be removed from `Attribute` create mutation input objects
  * `AttributeCreateDateInput`
  * `AttributeCreateFileInput`
  * `AttributeCreateGalleryInput`
  * `AttributeCreateImageInput`
  * `AttributeCreateMultiSelectInput`
  * `AttributeCreateNumericInput`
  * `AttributeCreatePriceInput`
  * `AttributeCreateProductRelationInput`
  * `AttributeCreateSelectInput`
  * `AttributeCreateTextareaInput`
  * `AttributeCreateTextInput`
  * `AttributeCreateUnitInput`

## 2022-01-31

Breaking change scheduled for 05-2022

* `Option.attribute` is going to be removed

## 2022-01-18

Breaking change scheduled for 05-2022

* `AttributeValue.value` is going to be removed
* `AttributeValue.code` is going to be removed


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ergonode.com/graphql/changelog/breaking-changes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
